Skip to main content
GET
/
api
/
dashboard
/
customers
/
{customer_id}
/
addresses
List Customer Saved Addresses
curl --request GET \
  --url https://api.example.com/api/dashboard/customers/{customer_id}/addresses
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "first_name": "<string>",
    "last_name": "<string>",
    "company": "<string>",
    "address1": "<string>",
    "address2": "<string>",
    "city": "<string>",
    "province": "<string>",
    "postal_code": "<string>",
    "country": "<string>",
    "phone": "<string>",
    "is_default": true,
    "created_at": "2023-11-07T05:31:56Z",
    "updated_at": "2023-11-07T05:31:56Z"
  }
]

Documentation Index

Fetch the complete documentation index at: https://docs.stella-commerce.com/llms.txt

Use this file to discover all available pages before exploring further.

Headers

authorization
string | null
X-API-Key
string | null
X-Stella-Merchant-Id
string | null

Path Parameters

customer_id
string<uuid>
required

Response

Successful Response

id
string<uuid>
required
first_name
string | null
required
last_name
string | null
required
company
string | null
required
address1
string
required
address2
string | null
required
city
string
required
province
string | null
required
postal_code
string | null
required
country
string
required
phone
string | null
required
is_default
boolean
required
created_at
string<date-time>
required
updated_at
string<date-time>
required